Index: src/UIElements/TextUI/Query/AtomTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/AtomTextQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
+++ src/UIElements/TextUI/Query/AtomTextQuery.cpp	(revision 1c55b87bd6df0fd793f6ec74d286a02d9a0de67c)
@@ -31,5 +31,5 @@
 
 TextDialog::AtomTextQuery::AtomTextQuery(Parameter<const atom *> &_param, std::string title, std::string _description) :
-    Dialog::AtomQuery(_param, title,_description)
+    Dialog::TQuery<const atom *>(_param, title,_description)
 {}
 
Index: src/UIElements/TextUI/Query/AtomsTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/AtomsTextQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
+++ src/UIElements/TextUI/Query/AtomsTextQuery.cpp	(revision 1c55b87bd6df0fd793f6ec74d286a02d9a0de67c)
@@ -32,5 +32,5 @@
 
 TextDialog::AtomsTextQuery::AtomsTextQuery(Parameter<std::vector<const atom *> > &_param, std::string title, std::string _description) :
-    Dialog::AtomsQuery(_param, title,_description)
+    Dialog::TQuery<std::vector<const atom *> >(_param, title,_description)
 {}
 
@@ -43,4 +43,5 @@
   getline(std::cin,line);
   // dissect by " "
+  const atom *temp_element;
   std::string::iterator olditer = line.begin();
   for(std::string::iterator iter = line.begin(); iter != line.end(); ++iter) {
Index: src/UIElements/TextUI/Query/BooleanTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/BooleanTextQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
+++ src/UIElements/TextUI/Query/BooleanTextQuery.cpp	(revision 1c55b87bd6df0fd793f6ec74d286a02d9a0de67c)
@@ -29,5 +29,5 @@
 
 TextDialog::BooleanTextQuery::BooleanTextQuery(Parameter<bool> &_param, std::string title, std::string _description) :
-    Dialog::BooleanQuery(_param, title,_description)
+    Dialog::TQuery<bool>(_param, title,_description)
 {}
 
Index: src/UIElements/TextUI/Query/DoubleTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/DoubleTextQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
+++ src/UIElements/TextUI/Query/DoubleTextQuery.cpp	(revision 1c55b87bd6df0fd793f6ec74d286a02d9a0de67c)
@@ -29,5 +29,5 @@
 
 TextDialog::DoubleTextQuery::DoubleTextQuery(Parameter<double> &_param, std::string title, std::string _description) :
-    Dialog::DoubleQuery(_param, title,_description)
+    Dialog::TQuery<double>(_param, title,_description)
 {}
 
Index: src/UIElements/TextUI/Query/DoublesTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/DoublesTextQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
+++ src/UIElements/TextUI/Query/DoublesTextQuery.cpp	(revision 1c55b87bd6df0fd793f6ec74d286a02d9a0de67c)
@@ -29,5 +29,5 @@
 
 TextDialog::DoublesTextQuery::DoublesTextQuery(Parameter<std::vector<double> > &_param, std::string title, std::string _description) :
-    Dialog::DoublesQuery(_param, title,_description)
+    Dialog::TQuery<std::vector<double> >(_param, title,_description)
 {}
 
@@ -39,4 +39,5 @@
   getline(std::cin,line);
   // dissect by " "
+  double temp_element;
   std::string::iterator olditer = line.begin();
   for(std::string::iterator iter = line.begin(); iter != line.end(); ++iter) {
Index: src/UIElements/TextUI/Query/ElementTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/ElementTextQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
+++ src/UIElements/TextUI/Query/ElementTextQuery.cpp	(revision 1c55b87bd6df0fd793f6ec74d286a02d9a0de67c)
@@ -32,5 +32,5 @@
 
 TextDialog::ElementTextQuery::ElementTextQuery(Parameter<const element *> &_param, std::string title, std::string _description) :
-    Dialog::ElementQuery(_param, title,_description)
+    Dialog::TQuery<const element *>(_param, title,_description)
 {}
 
Index: src/UIElements/TextUI/Query/ElementsTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/ElementsTextQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
+++ src/UIElements/TextUI/Query/ElementsTextQuery.cpp	(revision 1c55b87bd6df0fd793f6ec74d286a02d9a0de67c)
@@ -36,5 +36,5 @@
 
 TextDialog::ElementsTextQuery::ElementsTextQuery(Parameter<std::vector<const element *> > &_param, std::string title, std::string _description) :
-    Dialog::ElementsQuery(_param, title,_description)
+    Dialog::TQuery<std::vector<const element *> >(_param, title,_description)
 {}
 
@@ -49,4 +49,5 @@
   getline(std::cin,line);
   // dissect by " "
+  const element *temp_element;
   std::string::iterator olditer = line.begin();
   for(std::string::iterator iter = line.begin(); iter != line.end(); ++iter) {
Index: src/UIElements/TextUI/Query/FileTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/FileTextQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
+++ src/UIElements/TextUI/Query/FileTextQuery.cpp	(revision 1c55b87bd6df0fd793f6ec74d286a02d9a0de67c)
@@ -32,5 +32,5 @@
 
 TextDialog::FileTextQuery::FileTextQuery(Parameter<boost::filesystem::path> &_param, std::string title, std::string _description) :
-    Dialog::FileQuery(_param, title,_description)
+    Dialog::TQuery<boost::filesystem::path>(_param, title,_description)
 {}
 
Index: src/UIElements/TextUI/Query/FilesTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/FilesTextQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
+++ src/UIElements/TextUI/Query/FilesTextQuery.cpp	(revision 1c55b87bd6df0fd793f6ec74d286a02d9a0de67c)
@@ -32,5 +32,5 @@
 
 TextDialog::FilesTextQuery::FilesTextQuery(Parameter<std::vector< boost::filesystem::path> > &_param, std::string title, std::string _description) :
-    Dialog::FilesQuery(_param, title,_description)
+    Dialog::TQuery<std::vector<boost::filesystem::path> >(_param, title,_description)
 {}
 
Index: src/UIElements/TextUI/Query/IntTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/IntTextQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
+++ src/UIElements/TextUI/Query/IntTextQuery.cpp	(revision 1c55b87bd6df0fd793f6ec74d286a02d9a0de67c)
@@ -29,5 +29,5 @@
 
 TextDialog::IntTextQuery::IntTextQuery(Parameter<int> &_param, std::string title, std::string _description) :
-    Dialog::IntQuery(_param, title,_description)
+    Dialog::TQuery<int>(_param, title,_description)
 {}
 
Index: src/UIElements/TextUI/Query/IntsTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/IntsTextQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
+++ src/UIElements/TextUI/Query/IntsTextQuery.cpp	(revision 1c55b87bd6df0fd793f6ec74d286a02d9a0de67c)
@@ -29,5 +29,5 @@
 
 TextDialog::IntsTextQuery::IntsTextQuery(Parameter<std::vector<int> > &_param, std::string title, std::string _description) :
-    Dialog::IntsQuery(_param, title,_description)
+    Dialog::TQuery<std::vector<int> >(_param, title,_description)
 {}
 
@@ -39,4 +39,5 @@
   getline(std::cin,line);
   // dissect by " "
+  int temp_element;
   std::string::iterator olditer = line.begin();
   for(std::string::iterator iter = line.begin(); iter != line.end(); ++iter) {
Index: src/UIElements/TextUI/Query/MoleculeTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/MoleculeTextQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
+++ src/UIElements/TextUI/Query/MoleculeTextQuery.cpp	(revision 1c55b87bd6df0fd793f6ec74d286a02d9a0de67c)
@@ -32,5 +32,5 @@
 
 TextDialog::MoleculeTextQuery::MoleculeTextQuery(Parameter<const molecule *> &_param, std::string title, std::string _description) :
-    Dialog::MoleculeQuery(_param, title,_description)
+    Dialog::TQuery<const molecule *>(_param, title,_description)
 {}
 
Index: src/UIElements/TextUI/Query/MoleculesTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/MoleculesTextQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
+++ src/UIElements/TextUI/Query/MoleculesTextQuery.cpp	(revision 1c55b87bd6df0fd793f6ec74d286a02d9a0de67c)
@@ -32,5 +32,5 @@
 
 TextDialog::MoleculesTextQuery::MoleculesTextQuery(Parameter<std::vector<const molecule *> > &_param, std::string title, std::string _description) :
-    Dialog::MoleculesQuery(_param, title,_description)
+    Dialog::TQuery<std::vector<const molecule *> >(_param, title,_description)
 {}
 
@@ -43,4 +43,5 @@
   getline(std::cin,line);
   // dissect by " "
+  const molecule *temp_element;
   std::string::iterator olditer = line.begin();
   for(std::string::iterator iter = line.begin(); iter != line.end(); ++iter) {
Index: src/UIElements/TextUI/Query/RandomNumberDistribution_ParametersTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/RandomNumberDistribution_ParametersTextQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
+++ src/UIElements/TextUI/Query/RandomNumberDistribution_ParametersTextQuery.cpp	(revision 1c55b87bd6df0fd793f6ec74d286a02d9a0de67c)
@@ -31,5 +31,5 @@
 
 TextDialog::RandomNumberDistribution_ParametersTextQuery::RandomNumberDistribution_ParametersTextQuery(Parameter<RandomNumberDistribution_Parameters> &_param, std::string title, std::string _description) :
-    Dialog::RandomNumberDistribution_ParametersQuery(_param, title,_description)
+    Dialog::TQuery<RandomNumberDistribution_Parameters>(_param, title,_description)
 {}
 
Index: src/UIElements/TextUI/Query/RealSpaceMatrixTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/RealSpaceMatrixTextQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
+++ src/UIElements/TextUI/Query/RealSpaceMatrixTextQuery.cpp	(revision 1c55b87bd6df0fd793f6ec74d286a02d9a0de67c)
@@ -30,5 +30,5 @@
 
 TextDialog::RealSpaceMatrixTextQuery::RealSpaceMatrixTextQuery(Parameter<RealSpaceMatrix> &_param, std::string title, std::string _description) :
-    Dialog::RealSpaceMatrixQuery(_param, title,_description)
+    Dialog::TQuery<RealSpaceMatrix>(_param, title,_description)
 {}
 
Index: src/UIElements/TextUI/Query/StringTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/StringTextQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
+++ src/UIElements/TextUI/Query/StringTextQuery.cpp	(revision 1c55b87bd6df0fd793f6ec74d286a02d9a0de67c)
@@ -29,5 +29,5 @@
 
 TextDialog::StringTextQuery::StringTextQuery(Parameter<std::string> &_param, std::string title, std::string _description) :
-    Dialog::StringQuery(_param, title,_description)
+    Dialog::TQuery<std::string>(_param, title,_description)
 {}
 
Index: src/UIElements/TextUI/Query/StringsTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/StringsTextQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
+++ src/UIElements/TextUI/Query/StringsTextQuery.cpp	(revision 1c55b87bd6df0fd793f6ec74d286a02d9a0de67c)
@@ -29,5 +29,5 @@
 
 TextDialog::StringsTextQuery::StringsTextQuery(Parameter<std::vector<std::string> > &_param, std::string title, std::string _description) :
-    Dialog::StringsQuery(_param, title,_description)
+    Dialog::TQuery<std::vector<std::string> >(_param, title,_description)
 {}
 
@@ -36,4 +36,5 @@
 bool TextDialog::StringsTextQuery::handle() {
   std::cout << getDescription() << ": ";
+  std::string temp_element;
   getline(std::cin,temp_element);
   // dissect by " "
Index: src/UIElements/TextUI/Query/TextQuery.hpp
===================================================================
--- src/UIElements/TextUI/Query/TextQuery.hpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
+++ src/UIElements/TextUI/Query/TextQuery.hpp	(revision 1c55b87bd6df0fd793f6ec74d286a02d9a0de67c)
@@ -17,5 +17,5 @@
 #include "TextUI/TextDialog.hpp"
 
-class TextDialog::AtomTextQuery : public Dialog::AtomQuery {
+class TextDialog::AtomTextQuery : public Dialog::TQuery<const atom *> {
 public:
   AtomTextQuery(Parameter<const atom *> &, std::string title, std::string _description = NULL);
@@ -24,5 +24,5 @@
 };
 
-class TextDialog::AtomsTextQuery : public Dialog::AtomsQuery {
+class TextDialog::AtomsTextQuery : public Dialog::TQuery<std::vector<const atom *> > {
 public:
   AtomsTextQuery(Parameter<std::vector<const atom *> > &, std::string title, std::string _description = NULL);
@@ -31,5 +31,5 @@
 };
 
-class TextDialog::BooleanTextQuery : public Dialog::BooleanQuery {
+class TextDialog::BooleanTextQuery : public Dialog::TQuery<bool> {
 public:
   BooleanTextQuery(Parameter<bool> &, std::string title, std::string _description = NULL);
@@ -38,5 +38,5 @@
 };
 
-class TextDialog::RealSpaceMatrixTextQuery : public Dialog::RealSpaceMatrixQuery {
+class TextDialog::RealSpaceMatrixTextQuery : public Dialog::TQuery<RealSpaceMatrix> {
 public:
   RealSpaceMatrixTextQuery(Parameter<RealSpaceMatrix> &, std::string title, std::string _description = NULL);
@@ -45,5 +45,5 @@
 };
 
-class TextDialog::DoubleTextQuery : public Dialog::DoubleQuery {
+class TextDialog::DoubleTextQuery : public Dialog::TQuery<double> {
 public:
   DoubleTextQuery(Parameter<double> &, std::string title, std::string _description = NULL);
@@ -52,5 +52,5 @@
 };
 
-class TextDialog::DoublesTextQuery : public Dialog::DoublesQuery {
+class TextDialog::DoublesTextQuery : public Dialog::TQuery<std::vector<double> > {
 public:
   DoublesTextQuery(Parameter<std::vector<double> > &, std::string title, std::string _description = NULL);
@@ -59,5 +59,5 @@
 };
 
-class TextDialog::ElementTextQuery : public Dialog::ElementQuery {
+class TextDialog::ElementTextQuery : public Dialog::TQuery<const element *> {
 public:
   ElementTextQuery(Parameter<const element *> &, std::string title, std::string _description = NULL);
@@ -66,5 +66,5 @@
 };
 
-class TextDialog::ElementsTextQuery : public Dialog::ElementsQuery {
+class TextDialog::ElementsTextQuery : public Dialog::TQuery<std::vector<const element *> > {
 public:
   ElementsTextQuery(Parameter<std::vector<const element *> > &, std::string title, std::string _description = NULL);
@@ -80,5 +80,5 @@
 };
 
-class TextDialog::FileTextQuery : public Dialog::FileQuery {
+class TextDialog::FileTextQuery : public Dialog::TQuery<boost::filesystem::path> {
 public:
   FileTextQuery(Parameter<boost::filesystem::path> &, std::string title, std::string _description = NULL);
@@ -87,5 +87,5 @@
 };
 
-class TextDialog::FilesTextQuery : public Dialog::FilesQuery {
+class TextDialog::FilesTextQuery : public Dialog::TQuery<std::vector<boost::filesystem::path> > {
 public:
   FilesTextQuery(Parameter<std::vector< boost::filesystem::path> > &param, std::string title, std::string _description = NULL);
@@ -94,5 +94,5 @@
 };
 
-class TextDialog::IntTextQuery : public Dialog::IntQuery {
+class TextDialog::IntTextQuery : public Dialog::TQuery<int> {
 public:
   IntTextQuery(Parameter<int> &, std::string title, std::string _description = NULL);
@@ -101,5 +101,5 @@
 };
 
-class TextDialog::IntsTextQuery : public Dialog::IntsQuery {
+class TextDialog::IntsTextQuery : public Dialog::TQuery<std::vector<int> > {
 public:
   IntsTextQuery(Parameter<std::vector<int> > &, std::string title, std::string _description = NULL);
@@ -108,5 +108,5 @@
 };
 
-class TextDialog::MoleculeTextQuery : public Dialog::MoleculeQuery {
+class TextDialog::MoleculeTextQuery : public Dialog::TQuery<const molecule *> {
 public:
   MoleculeTextQuery(Parameter<const molecule *> &, std::string title, std::string _description = NULL);
@@ -115,5 +115,5 @@
 };
 
-class TextDialog::MoleculesTextQuery : public Dialog::MoleculesQuery {
+class TextDialog::MoleculesTextQuery : public Dialog::TQuery<std::vector<const molecule *> > {
 public:
   MoleculesTextQuery(Parameter<std::vector<const molecule *> > &, std::string title, std::string _description = NULL);
@@ -122,5 +122,5 @@
 };
 
-class TextDialog::StringTextQuery : public Dialog::StringQuery {
+class TextDialog::StringTextQuery : public Dialog::TQuery<std::string> {
 public:
   StringTextQuery(Parameter<std::string> &, std::string title, std::string _description = NULL);
@@ -129,5 +129,5 @@
 };
 
-class TextDialog::StringsTextQuery : public Dialog::StringsQuery {
+class TextDialog::StringsTextQuery : public Dialog::TQuery<std::vector<std::string> > {
 public:
   StringsTextQuery(Parameter<std::vector<std::string> > &, std::string title, std::string _description = NULL);
@@ -136,5 +136,5 @@
 };
 
-class TextDialog::UnsignedIntTextQuery : public Dialog::UnsignedIntQuery {
+class TextDialog::UnsignedIntTextQuery : public Dialog::TQuery<unsigned int> {
 public:
   UnsignedIntTextQuery(Parameter<unsigned int> &, std::string title, std::string _description = NULL);
@@ -143,5 +143,5 @@
 };
 
-class TextDialog::UnsignedIntsTextQuery : public Dialog::UnsignedIntsQuery {
+class TextDialog::UnsignedIntsTextQuery : public Dialog::TQuery<std::vector<unsigned int> > {
 public:
   UnsignedIntsTextQuery(Parameter<std::vector<unsigned int> > &, std::string title, std::string _description = NULL);
@@ -150,5 +150,5 @@
 };
 
-class TextDialog::VectorTextQuery : public Dialog::VectorQuery {
+class TextDialog::VectorTextQuery : public Dialog::TQuery<Vector> {
 public:
   VectorTextQuery(Parameter<Vector> &, std::string title, std::string _description = NULL);
@@ -157,5 +157,5 @@
 };
 
-class TextDialog::VectorsTextQuery : public Dialog::VectorsQuery {
+class TextDialog::VectorsTextQuery : public Dialog::TQuery<std::vector<Vector> > {
 public:
   VectorsTextQuery(Parameter<std::vector<Vector> > &, std::string title, std::string _description = NULL);
@@ -164,5 +164,5 @@
 };
 
-class TextDialog::RandomNumberDistribution_ParametersTextQuery : public Dialog::RandomNumberDistribution_ParametersQuery {
+class TextDialog::RandomNumberDistribution_ParametersTextQuery : public Dialog::TQuery<RandomNumberDistribution_Parameters> {
 public:
   RandomNumberDistribution_ParametersTextQuery(Parameter<RandomNumberDistribution_Parameters> &, std::string title, std::string _description = NULL);
Index: src/UIElements/TextUI/Query/UnsignedIntTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/UnsignedIntTextQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
+++ src/UIElements/TextUI/Query/UnsignedIntTextQuery.cpp	(revision 1c55b87bd6df0fd793f6ec74d286a02d9a0de67c)
@@ -29,5 +29,5 @@
 
 TextDialog::UnsignedIntTextQuery::UnsignedIntTextQuery(Parameter<unsigned int> &_param, std::string title, std::string _description) :
-    Dialog::UnsignedIntQuery(_param, title,_description)
+    Dialog::TQuery<unsigned int>(_param, title,_description)
 {}
 
Index: src/UIElements/TextUI/Query/UnsignedIntsTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/UnsignedIntsTextQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
+++ src/UIElements/TextUI/Query/UnsignedIntsTextQuery.cpp	(revision 1c55b87bd6df0fd793f6ec74d286a02d9a0de67c)
@@ -29,5 +29,5 @@
 
 TextDialog::UnsignedIntsTextQuery::UnsignedIntsTextQuery(Parameter<std::vector<unsigned int> > &_param, std::string title, std::string _description) :
-    Dialog::UnsignedIntsQuery(_param, title,_description)
+    Dialog::TQuery<std::vector<unsigned int> >(_param, title,_description)
 {}
 
@@ -39,4 +39,5 @@
   getline(std::cin,line);
   // dissect by " "
+  unsigned int temp_element;
   std::string::iterator olditer = line.begin();
   for(std::string::iterator iter = line.begin(); iter != line.end(); ++iter) {
Index: src/UIElements/TextUI/Query/VectorTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/VectorTextQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
+++ src/UIElements/TextUI/Query/VectorTextQuery.cpp	(revision 1c55b87bd6df0fd793f6ec74d286a02d9a0de67c)
@@ -32,5 +32,5 @@
 
 TextDialog::VectorTextQuery::VectorTextQuery(Parameter<Vector> &_param, std::string title, std::string _description) :
-    Dialog::VectorQuery(_param, title,_description)
+    Dialog::TQuery<Vector>(_param, title,_description)
 {}
 
Index: src/UIElements/TextUI/Query/VectorsTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/VectorsTextQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
+++ src/UIElements/TextUI/Query/VectorsTextQuery.cpp	(revision 1c55b87bd6df0fd793f6ec74d286a02d9a0de67c)
@@ -32,5 +32,5 @@
 
 TextDialog::VectorsTextQuery::VectorsTextQuery(Parameter<std::vector<Vector> > &_param, std::string title, std::string _description) :
-    Dialog::VectorsQuery(_param, title,_description)
+    Dialog::TQuery<std::vector<Vector> >(_param, title,_description)
 {}
 
@@ -53,4 +53,5 @@
   std::string::iterator olditercomma = line.begin();
   int counter = 0;
+  Vector temp_element;
   for(std::string::iterator vectoriter = line.begin(); vectoriter != line.end(); ++vectoriter) {
     if (*vectoriter == ',')
